diff options
author | Roeland Jago Douma <roeland@famdouma.nl> | 2019-09-03 15:38:52 +0200 |
---|---|---|
committer | Roeland Jago Douma <roeland@famdouma.nl> | 2019-09-03 15:38:52 +0200 |
commit | 60c7ef7f5e0bbba25717091a41b6150cb8516a1c (patch) | |
tree | f3c647c87f8c35b2664c038a901c2584c6d93b4c /autotest.sh | |
parent | ecd0d39c304597c77639600a40db25e86fa5a126 (diff) | |
download | nextcloud-server-60c7ef7f5e0bbba25717091a41b6150cb8516a1c.tar.gz nextcloud-server-60c7ef7f5e0bbba25717091a41b6150cb8516a1c.zip |
No need to wait 10 minutes for the DB to get up.
Signed-off-by: Roeland Jago Douma <roeland@famdouma.nl>
Diffstat (limited to 'autotest.sh')
-rwxr-xr-x | autotest.sh | 16 |
1 files changed, 8 insertions, 8 deletions
diff --git a/autotest.sh b/autotest.sh index db24517e085..324570dd30b 100755 --- a/autotest.sh +++ b/autotest.sh @@ -215,8 +215,8 @@ function execute_tests { fi fi echo "Waiting for MySQL initialisation ..." - if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then - echo "[ERROR] Waited 600 seconds, no response" >&2 + if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then + echo "[ERROR] Waited 300 seconds, no response" >&2 exit 1 fi fi @@ -251,8 +251,8 @@ function execute_tests { echo "Waiting for MySQL(utf8mb4) initialisation ..." - if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then - echo "[ERROR] Waited 600 seconds, no response" >&2 + if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then + echo "[ERROR] Waited 300 seconds, no response" >&2 exit 1 fi sleep 1 @@ -275,8 +275,8 @@ function execute_tests { DATABASEHOST=$(docker inspect --format="{{.NetworkSettings.IPAddress}}" "$DOCKER_CONTAINER_ID") echo "Waiting for MariaDB initialisation ..." - if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then - echo "[ERROR] Waited 600 seconds, no response" >&2 + if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then + echo "[ERROR] Waited 300 seconds, no response" >&2 exit 1 fi @@ -296,8 +296,8 @@ function execute_tests { fi echo "Waiting for MariaDB initialisation ..." - if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 600; then - echo "[ERROR] Waited 600 seconds, no response" >&2 + if ! apps/files_external/tests/env/wait-for-connection $DATABASEHOST 3306 300; then + echo "[ERROR] Waited 300 seconds, no response" >&2 exit 1 fi |